Skip to main content
POST
/
cabinet
/
admin
/
rbac
/
policies
Create Policy
curl --request POST \
  --url https://api.example.com/cabinet/admin/rbac/policies \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "effect": "<string>",
  "resource": "<string>",
  "description": "<string>",
  "role_id": 123,
  "priority": 0,
  "conditions": {},
  "actions": [
    "<string>"
  ]
}
'
{
  "id": 123,
  "name": "<string>",
  "priority": 123,
  "effect": "<string>",
  "resource": "<string>",
  "is_active": true,
  "description": "<string>",
  "role_id": 123,
  "role_name": "<string>",
  "conditions": {},
  "actions": [
    "<string>"
  ],
  "created_by": 123,
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Create a new access policy.

name
string
required
Required string length: 1 - 200
effect
string
required
resource
string
required
Required string length: 1 - 100
description
string | null
role_id
integer | null
priority
integer
default:0
Required range: 0 <= x <= 1000
conditions
Conditions · object
actions
string[]

Response

Successful Response

Access policy response.

id
integer
required
name
string
required
priority
integer
required
effect
string
required
resource
string
required
is_active
boolean
required
description
string | null
role_id
integer | null
role_name
string | null
conditions
Conditions · object
actions
string[]
created_by
integer | null
created_at
string<date-time> | null